- Main Page
- Classes
- Files
- Related Pages

- Search for |

- File List
- File Members

# uiop_endpointsC.h File Reference

`#include "ace/config-all.h"`
`#include "tao/Strategies/strategies_export.h"`
`#include "tao/ORB.h"`
`#include "tao/Environment.h"`
`#include "tao/Sequence_T.h"`
`#include "tao/Seq_Var_T.h"`
`#include "tao/Seq_Out_T.h"`
`#include "tao/VarOut_T.h"`

Include dependency graph for uiop_endpointsC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | TAO
## Classes
struct | TAO_UIOP_Endpoint_Info
| Stores information for a single UIOP endpoint. More...
class | TAO_UIOPEndpointSequence
## Defines
#define | TAO_EXPORT_MACRO TAO_Strategies_Export
#define | _TAO_UIOPENDPOINTSEQUENCE_CH_
## Typedefs
typedef TAO_Var_Var_T< TAO_UIOP_Endpoint_Info > | TAO_UIOP_Endpoint_Info_var
typedef TAO_Out_T< TAO_UIOP_Endpoint_Info, TAO_UIOP_Endpoint_Info_var > | TAO_UIOP_Endpoint_Info_out
typedef TAO_VarSeq_Var_T< TAO_UIOPEndpointSequence, TAO_UIOP_Endpoint_Info > | TAO_UIOPEndpointSequence_var
typedef TAO_Seq_Out_T< TAO_UIOPEndpointSequence, TAO_UIOPEndpointSequence_var, TAO_UIOP_Endpoint_Info > | TAO_UIOPEndpointSequence_out
## Functions
TAO_Strategies_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const TAO_UIOP_Endpoint_Info &)
TAO_Strategies_Export CORBA::Boolean | operator>> (TAO_InputCDR &, TAO_UIOP_Endpoint_Info &)
TAO_Strategies_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const TAO_UIOPEndpointSequence &)
TAO_Strategies_Export CORBA::Boolean | operator>> (TAO_InputCDR &, TAO_UIOPEndpointSequence &)
## Variables
TAO_Strategies_Export::CORBA::TypeCode_ptr const | _tc_TAO_UIOP_Endpoint_Info
TAO_Strategies_Export::CORBA::TypeCode_ptr const | _tc_TAO_UIOPEndpointSequence

## Define Documentation

#define _TAO_UIOPENDPOINTSEQUENCE_CH_

#define TAO_EXPORT_MACRO TAO_Strategies_Export

## Typedef Documentation

typedef TAO_Out_T< TAO_UIOP_Endpoint_Info, TAO_UIOP_Endpoint_Info_var > TAO_UIOP_Endpoint_Info_out

typedef TAO_Var_Var_T< TAO_UIOP_Endpoint_Info > TAO_UIOP_Endpoint_Info_var

typedef TAO_Seq_Out_T< TAO_UIOPEndpointSequence, TAO_UIOPEndpointSequence_var, TAO_UIOP_Endpoint_Info > TAO_UIOPEndpointSequence_out

typedef TAO_VarSeq_Var_T< TAO_UIOPEndpointSequence, TAO_UIOP_Endpoint_Info > TAO_UIOPEndpointSequence_var

## Function Documentation

TAO_Strategies_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const TAO_UIOPEndpointSequence & |  |
| ) |  |  |

TAO_Strategies_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const TAO_UIOP_Endpoint_Info & |  |
| ) |  |  |

TAO_Strategies_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | TAO_UIOPEndpointSequence & |  |
| ) |  |  |

TAO_Strategies_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | TAO_UIOP_Endpoint_Info & |  |
| ) |  |  |

## Variable Documentation

TAO_Strategies_Export ::CORBA::TypeCode_ptr const _tc_TAO_UIOP_Endpoint_Info

TAO_Strategies_Export ::CORBA::TypeCode_ptr const _tc_TAO_UIOPEndpointSequence